Results 1 to 10 of 10

Thread: Segmentation fault while launching eric

  1. #1

    Default Segmentation fault while launching eric

    I get segmentation fault error while trying to launch eric python IDE. I tried reinstalling a lot of times but with no use. I even tried using a different version but gives the same error. I am only installing it through rpms.

    here is the stacktrace. Please help me.

    gdb eric core
    GNU gdb (GDB; openSUSE 11.1) 6.8.50.20081120-cvs
    Copyright (C) 2008 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law. Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i586-suse-linux".
    For bug reporting instructions, please see:
    <http://bugs.opensuse.org/>...
    "/usr/bin/eric": not in executable format: File format not recognized
    (no debugging symbols found)
    Core was generated by `/usr/bin/python /usr/lib/python2.6/site-packages/eric4/eric4.py'.
    Program terminated with signal 11, Segmentation fault.
    #0 0xb7c9671b in ?? ()
    (gdb) Quit
    (gdb) bt
    #0 0xb7c9671b in ?? ()
    #1 0xb7e91be5 in ?? ()
    #2 0xb7974972 in ?? ()
    #3 0xb60504f1 in ?? ()
    #4 0xb7e9c15b in ?? ()
    #5 0xb7e98648 in ?? ()
    #6 0xb7e9b207 in ?? ()
    #7 0xb7e9b4ef in ?? ()
    #8 0xb7e9b9de in ?? ()
    #9 0xb7e9bfc2 in ?? ()
    #10 0xb7e80a24 in ?? ()
    #11 0xb7e30891 in ?? ()
    #12 0xb7df8c1c in ?? ()
    #13 0xb7e8174f in ?? ()
    #14 0xb7e83a00 in ?? ()
    #15 0xb7e88d7f in ?? ()
    #16 0xb7e80c73 in ?? ()
    #17 0xb7ea2adc in ?? ()
    #18 0xb7ea2b9b in ?? ()
    #19 0xb7ea358f in ?? ()
    #20 0xb7ea3818 in ?? ()
    #21 0xb7eafe12 in ?? ()
    #22 0x08048692 in ?? ()
    #23 0xb7c39705 in ?? ()
    #24 0x080485c1 in ?? ()
    (gdb)


    (I also tried chmod to make it executable since the gdb said it is not in executable format.)

  2. #2

    Default Re: Segmentation fault while launching eric

    anyone please. BTW any other alternative for eric?

  3. #3

    Default Re: Segmentation fault while launching eric

    I'm having this problem too. Does anyone have any ideas how to fix it?

  4. #4

    Default Re: Segmentation fault while launching eric

    I have this problem too

  5. #5
    maarel NNTP User

    Default Re: Segmentation fault while launching eric

    I had the same problem.
    This works for me:

    eric4 --nokde

    I didn't yet find out why it works,but it does.

    Jan

  6. #6

    Default Re: Segmentation fault while launching eric

    I am also getting a segmentation fault when launching eric, and using the -nokde option doesn't work.
    All this is in opensuse 11.1 (64 bits), kde 4.3.3 (factory) and python 2.6.

    I also wanted to install a python package (spyderlib) and got the same result. I tried installing another package, pyephem, and DID work.
    The interesting thing is that Spyder has some common requirements with Eric:
    * PyQt4 4.x (x>=3 ; recommended x>=4)
    * QScintilla2 2.x (x>=1) (PyQt4 extension)

    I'll check if reinstalling PyQt4 or Qscintilla does the trick.

  7. #7

    Default Re: Segmentation fault while launching eric

    Reinstalling PyQt and Qscintilla had no effect, I still get the segmentation fault, but the possible correlation with the dependencies of Spyder (aka spyderlib) is interesting.

  8. #8

    Default Re: Segmentation fault while launching eric

    I don't know if this will be relevant for the problem, but I just tried to install (first time in my computer) koffice 2, which requires Qt.
    I did it with yast, no errors where shown. But... despite I have the executable files, they never made it to the kde menu, and when I try to run them from the console, nothing happens. No error, no nothing. Just a new line to type in.

  9. #9

    Default Re: Segmentation fault while launching eric

    I found this in a Debian forum:
    #532772 - [eric] Segmentation fault - Debian Bug report logs

    They fixed it (if it's exactly the same cause) installing
    python-qscintilla2 from an experimental repository.
    Which version do you have? I have 2.3.2.17.

  10. #10

    Default Re: Segmentation fault while launching eric

    I am also having this problem. Is there a different version that can be installed that works?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •